Subject: Intermittent lockups creating/manipulating network namespaces (was Re: large degradation in ip netns add/exec performance in 3.13?)

From: Rick Jones <[email-masked]>
Date: Thu, 13 Feb 2014 10:02:24 -0800

On 02/11/2014 04:56 PM, Rick Jones wrote:
> On 02/11/2014 02:26 PM, Rick Jones wrote:
>> I did have the system lockup once at 16 concurrent streams on the 3.13.0
>> kernel.  Didn't happen the next two times I tried.
>
> I've had it happen again with a slightly tweaked ("heavier") fake router
> creation.  I'm guessing the attached soft lockup messages are related
> and may help point somewhere.

The 16 concurrent streams lockup.  The "rest of the system" keeps going.

I've had the same hang happen with 3.14.0-rc2 as well.  I was able to 
take a crash dump via "echo c > /proc/sysrq-trigger" but I have no clue 
how to look at it.  More than willing to upload it to netperf.org.

rick jones